## firefox 30.0+build1

=== debian/changelog ===
firefox (30.0+build1-0ubuntu0.13.10.3) saucy-security; urgency=medium

  * New upstream stable release (FIREFOX_30_0_BUILD1)
    - see LP: #1326690 for USN information

  * Refresh patches
    - update d/p/test-integration/xpcshell-disable-tests-which-need-appdir-write-access.patch
    - update debian/patches/unity-menubar.patch
  * Drop patches, fixed upstream
    - remove debian/patches/aarch64-support.patch
    - remove debian/patches/fix-armhf-build.patch
  * Build with --enable-gstreamer=1.0 on 14.04 and later
  * Correctly override the duckduckgo plugin for the gd locale
  * Add patch to fix a build issue on architectures where WebRTC isn't enabled

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 05 Jun 2014 09:26:31 +0100

firefox (29.0.1+build2-0ubuntu0.13.10.1) saucy-security; urgency=medium

  * New upstream stable release (FIREFOX_29_0_1_BUILD2)
    - see USN-2185-2
    - Fixes LP: #1315020 - Printing PDF's results in a blank page

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 20 May 2014 01:07:38 +0100

firefox (29.0+build1-0ubuntu0.13.10.3) saucy-security; urgency=medium

  * New upstream stable release (FIREFOX_29_0_BUILD1)
    - see LP: #1313464 for USN information

  [ Jamie Strandboge <jamie@canonical.com> ]
  * usr.bin.firefox.apparmor*: updates for new firefox releases (LP: #1288260)
    - allow read of /sys/devices/pci[0-9]*/**/uevent
    - allow read of /etc/udev/udev.conf
    - explicityly deny /run/udev/data/**, like we do with evince

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * Add Malay language pack
  * Backport changeset from mozilla-central for aarch64 support
    - add debian/patches/aarch64-support.patch
    - update debian/patches/series
  * Use --enable-system-libffi on arm64, as the bundled libffi doesn't
    support this yet
  * Refresh patches
    - update debian/patches/unity-menubar.patch
    - update debian/patches/no_neon_on_arm.patch
  * Backport changeset from aurora to fix armhf build
    - add debian/patches/fix-armhf-build.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 28 Apr 2014 00:44:59 +0100

firefox (28.0+build2-0ubuntu0.13.10.1) saucy-security; urgency=low

  * New upstream stable release (FIREFOX_28_0_BUILD2)
    - see LP: #1291982 for USN information

  [ Adam Conrad <adconrad@ubuntu.com> ]
  * Build with --enable-release option to use "more conservative, release
    engineering-oriented options" as recommended by upstream for distros:
    - Fixes FTBFS on powerpc and may improve stability on other arches.

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * Make geolocation work
  * Refresh patches
    - update d/p/test-integration/mochitest-allow-test-manifest-for-browser-chrome.patch
    - update d/p/test-integration/automation-output-junit-xml.patch
    - update debian/patches/unity-menubar.patch
    - update debian/patches/ubuntu-ua-string-changes.patch
  * Add pulseaudio dependency
    - update debian/control

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 13 Mar 2014 13:24:22 +0000

firefox (27.0.1+build1-0ubuntu0.13.10.1) saucy-security; urgency=low

  * New upstream stable release (FIREFOX_27_0_1_BUILD1)
    - see USN-2102-2

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 18 Feb 2014 11:49:48 +0000

firefox (27.0+build1-0ubuntu0.13.10.1) saucy-security; urgency=low

  * New upstream stable release (FIREFOX_27_0_BUILD1)
    - see LP: #1274468 for USN information

  * Refresh patches
    - update debian/patches/allow-lockPref-everywhere.patch
    - update debian/patches/ubuntu-ua-string-changes.patch
    - update d/p/test-integration/automation-output-junit-xml.patch
    - update d/p/test-integration/xpcshell-disable-tests-which-need-appdir-write-access.patch
    - update debian/patches/unity-menubar.patch
  * Drop debian/patches/fix-missing-include.patch, as it's fixed upstream
  * Add Aragonese and Xhosa language packs
    - update debian/control
    - update debian/locales.shipped
    - update debian/locales.all
    - add debian/searchplugins/an/list.txt
    - add debian/searchplugins/xh/list.txt
  * Disable Ganda and Northern Sotho locales

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 30 Jan 2014 11:32:15 +0000

firefox (26.0+build2-0ubuntu0.13.10.2) saucy-security; urgency=low

  * New upstream stable release (FIREFOX_26_0_BUILD2)
    - see LP: #1258513 for USN information

  * Refresh patches
    - update d/p/test-integration/automation-output-junit-xml.patch
    - update d/p/test-integration/mochitest-allow-test-manifest-for-browser-chrome.patch
    - update d/p/test-fixes/xpcshell-exthandler-no-writes-to-appdir.patch
    - update d/p/test-integration/xpcshell-disable-tests-which-need-appdir-write-access.patch
    - update d/p/test-integration/xpcshell-dont-return-nonzero-on-test-failure.patch
    - update d/p/test-integration/xpcshell-write-time-for-failed-test.patch
    - update debian/patches/unity-menubar.patch
    - update debian/patches/ubuntu-ua-string-changes.patch
    - update debian/patches/no_neon_on_arm.patch
  * Drop patches
    - remove d/p/test-fixes/mochitest-browser-plugincrash-with-no-crashreporter.patch
    - remove d/p/test-fixes/mochitest-dont-ship-browser-postupdate-test.patch
    - remove d/p/test-fixes/mochitest-tests-jar-fix.patch
    - update debian/patches/series
  * Update for mochitest/runtests.py changes
    - update debian/testing/testrunhelper.py
  * MOZILLA_OFFICIAL no longer controls whether the crashreporter is enabled,
    so just build with --disable-crashreporter to turn it off
    - update debian/apport/blacklist.in
    - update debian/build/config.mk
    - update debian/build/rules.mk
  * Backport patch from Aurora to add a missing include to BufferUnrotate.cpp
    - add debian/patches/fix-missing-include.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 06 Dec 2013 12:35:26 +0000



=== debian/control ===
# vim:noexpandtab:
Source: firefox
Section: web
Priority: optional
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox.saucy
Build-Depends: cdbs,
	locales,
	debhelper (>= 7),
	autotools-dev,
	autoconf2.13,
	quilt,
	zip,
	libx11-dev,
	libxt-dev,
	libxext-dev,
	libgtk2.0-dev (>= 2.14),
	libglib2.0-dev (>= 2.18),
	libpango1.0-dev (>= 1.14.0),
	libfontconfig1-dev,
	libfreetype6-dev (>= 2.0.1),
	libgconf2-dev (>= 1.2.1),
	libgnomeui-dev (>= 2.2.0),
	libstartup-notification0-dev,
	libasound2-dev,
	libcurl4-openssl-dev,
	libdbus-glib-1-dev (>= 0.60),
	libgstreamer0.10-dev,
	libgstreamer-plugins-base0.10-dev,
	libgstreamer1.0-dev,
	libgstreamer-plugins-base1.0-dev,
	hardening-wrapper,
	lsb-release,
	libiw-dev,
	mesa-common-dev,
	libnotify-dev (>= 0.4),
	libxrender-dev,
	libpulse-dev,
	yasm (>= 1.1),
	unzip,
	dbus-x11,
	xvfb,
	python (>= 2.7),
	libffi-dev (>= 3.0.9) [arm64]
Standards-Version: 3.9.1
XS-Testsuite: autopkgtest

Package: firefox
Architecture: any
Depends: lsb-release,
	${misc:Depends},
	${shlibs:Depends}
Recommends: xul-ext-ubufox,
	${support:Recommends},
	libcanberra0,
	libdbusmenu-glib4,
	libdbusmenu-gtk4
Provides: www-browser,
	iceweasel,
	gnome-www-browser,
	${app:Provides}
Suggests: ttf-lyx,
	${support:Suggests}
Breaks: ${transitional:Breaks}
Replaces: ${transitional:Replaces}
Conflicts: ${app:Conflicts},
	${transitional:Conflicts}
XB-Xul-AppId: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
Description: Safe and easy web browser from Mozilla
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.

Package: firefox-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, 
	${misc:Depends}, 
	firefox (= ${binary:Version})
Provides: ${app:Provides}
Conflicts: ${app:Conflicts},
Description: Safe and easy web browser from Mozilla - debug symbols
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package contains the debugging symbols for the Firefox web
 browser

Package: firefox-dev
Architecture: any
Section: devel
Priority: extra
Depends: ${shlibs:Depends},
	${misc:Depends},
	firefox (= ${binary:Version})
Provides: ${app:Provides}
Conflicts: xulrunner-2.0-dev,
	xulrunner-1.9.2-dev,
	xulrunner-1.9-dev,
	${app:Conflicts}
Description: Safe and easy web browser from Mozilla - development files
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package contains the headers and SDK for building plugins with Firefox

Package: firefox-mozsymbols
Architecture: amd64 i386 armel
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, 
	${misc:Depends},
Provides: ${app:Provides}
Conflicts: ${app:Conflicts}
Description: Safe and easy web browser from Mozilla - Breakpad symbols
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package contains the Firefox symbols in a format expected by Mozilla's
 Breakpad. Eventually this package should go away and the symbol upload be
 implemented in soyuz (or other builders that build this package)

Package: firefox-testsuite
Architecture: any
Section: misc
Priority: extra
Depends: ${shlibs:Depends},
	${misc:Depends},
	firefox (= ${binary:Version}),
	firefox-locale-af (= ${binary:Version}), firefox-locale-an (= ${binary:Version}), firefox-locale-ar (= ${binary:Version}), firefox-locale-as (= ${binary:Version}), firefox-locale-ast (= ${binary:Version}), firefox-locale-be (= ${binary:Version}), firefox-locale-bg (= ${binary:Version}), firefox-locale-bn (= ${binary:Version}), firefox-locale-br (= ${binary:Version}), firefox-locale-bs (= ${binary:Version}), firefox-locale-ca (= ${binary:Version}), firefox-locale-cs (= ${binary:Version}), firefox-locale-csb (= ${binary:Version}), firefox-locale-cy (= ${binary:Version}), firefox-locale-da (= ${binary:Version}), firefox-locale-de (= ${binary:Version}), firefox-locale-el (= ${binary:Version}), firefox-locale-en (= ${binary:Version}), firefox-locale-eo (= ${binary:Version}), firefox-locale-es (= ${binary:Version}), firefox-locale-et (= ${binary:Version}), firefox-locale-eu (= ${binary:Version}), firefox-locale-fa (= ${binary:Version}), firefox-locale-fi (= ${binary:Version}), firefox-locale-fr (= ${binary:Version}), firefox-locale-fy (= ${binary:Version}), firefox-locale-ga (= ${binary:Version}), firefox-locale-gd (= ${binary:Version}), firefox-locale-gl (= ${binary:Version}), firefox-locale-gu (= ${binary:Version}), firefox-locale-he (= ${binary:Version}), firefox-locale-hi (= ${binary:Version}), firefox-locale-hr (= ${binary:Version}), firefox-locale-hu (= ${binary:Version}), firefox-locale-hy (= ${binary:Version}), firefox-locale-id (= ${binary:Version}), firefox-locale-is (= ${binary:Version}), firefox-locale-it (= ${binary:Version}), firefox-locale-ja (= ${binary:Version}), firefox-locale-ka (= ${binary:Version}), firefox-locale-kk (= ${binary:Version}), firefox-locale-km (= ${binary:Version}), firefox-locale-kn (= ${binary:Version}), firefox-locale-ko (= ${binary:Version}), firefox-locale-ku (= ${binary:Version}), firefox-locale-lg (= ${binary:Version}), firefox-locale-lt (= ${binary:Version}), firefox-locale-lv (= ${binary:Version}), firefox-locale-mai (= ${binary:Version}), firefox-locale-mk (= ${binary:Version}), firefox-locale-ml (= ${binary:Version}), firefox-locale-mn (= ${binary:Version}), firefox-locale-mr (= ${binary:Version}), firefox-locale-ms (= ${binary:Version}), firefox-locale-nb (= ${binary:Version}), firefox-locale-nl (= ${binary:Version}), firefox-locale-nn (= ${binary:Version}), firefox-locale-nso (= ${binary:Version}), firefox-locale-oc (= ${binary:Version}), firefox-locale-or (= ${binary:Version}), firefox-locale-pa (= ${binary:Version}), firefox-locale-pl (= ${binary:Version}), firefox-locale-pt (= ${binary:Version}), firefox-locale-ro (= ${binary:Version}), firefox-locale-ru (= ${binary:Version}), firefox-locale-si (= ${binary:Version}), firefox-locale-sk (= ${binary:Version}), firefox-locale-sl (= ${binary:Version}), firefox-locale-sq (= ${binary:Version}), firefox-locale-sr (= ${binary:Version}), firefox-locale-sv (= ${binary:Version}), firefox-locale-sw (= ${binary:Version}), firefox-locale-ta (= ${binary:Version}), firefox-locale-te (= ${binary:Version}), firefox-locale-th (= ${binary:Version}), firefox-locale-tr (= ${binary:Version}), firefox-locale-uk (= ${binary:Version}), firefox-locale-vi (= ${binary:Version}), firefox-locale-xh (= ${binary:Version}), firefox-locale-zh-hans (= ${binary:Version}), firefox-locale-zh-hant (= ${binary:Version}), firefox-locale-zu (= ${binary:Version}),
	python,
	dbus-x11,
	xvfb,
	make,
	notify-osd,
	metacity,
	language-pack-en-base,
	language-pack-es-base,
	language-pack-fr-base,
	language-pack-pt-base,
	fonts-arabeyes,
	fonts-kacst,
	fonts-takao-mincho,
	fonts-takao-gothic,
	fonts-wqy-zenhei | ttf-wqy-zenhei,
	fonts-arphic-uming,
	fonts-arphic-ukai | ttf-arphic-ukai,
	fonts-nanum,
	fonts-nanum-coding,
	fonts-unfonts-core,
	fonts-liberation,
	gnome-session,
	gnome-settings-daemon,
	ubuntu-settings,
	light-themes,
	unzip,
	hunspell-en-us,
	libgl1-mesa-dri
Provides: ${app:Provides}
Conflicts: ${app:Conflicts}
Description: Safe and easy web browser from Mozilla - testsuite
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package contains the Firefox testsuite

# Transitional packages below here

# Can be dropped after 14.04
Package: firefox-globalmenu
Architecture: any
Section: oldlibs
Priority: extra
Depends: firefox,
	${misc:Depends}
Description: Safe and easy web browser from Mozilla (transitional package)
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

# Language packs below here

Package: firefox-locale-af
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-af-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Afrikaans language pack for Firefox
 This package contains Afrikaans translations and search plugins
 for Firefox

Package: firefox-locale-an
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-an-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Aragonese language pack for Firefox
 This package contains Aragonese translations and search plugins
 for Firefox

Package: firefox-locale-ar
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-ar-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Arabic language pack for Firefox
 This package contains Arabic translations and search plugins
 for Firefox

Package: firefox-locale-as
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-as-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Assamese language pack for Firefox
 This package contains Assamese translations and search plugins
 for Firefox

Package: firefox-locale-ast
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-ast-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Asturian language pack for Firefox
 This package contains Asturian translations and search plugins
 for Firefox

Package: firefox-locale-be
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-be-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Belarusian language pack for Firefox
 This package contains Belarusian translations and search plugins
 for Firefox

Package: firefox-locale-bg
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-bg-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Bulgarian language pack for Firefox
 This package contains Bulgarian translations and search plugins
 for Firefox

Package: firefox-locale-bn
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-bn-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Bengali language pack for Firefox
 This package contains Bengali translations and search plugins
 for Firefox

Package: firefox-locale-br
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-br-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Breton language pack for Firefox
 This package contains Breton translations and search plugins
 for Firefox

Package: firefox-locale-bs
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-bs-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Bosnian language pack for Firefox
 This package contains Bosnian translations and search plugins
 for Firefox

Package: firefox-locale-ca
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-ca-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Catalan; Valencian language pack for Firefox
 This package contains Catalan; Valencian translations and search plugins
 for Firefox

Package: firefox-locale-cs
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-cs-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Czech language pack for Firefox
 This package contains Czech translations and search plugins
 for Firefox

Package: firefox-locale-csb
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-csb-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}

## firefox 33.0+build2

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: web
 Priority: optional
 Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
-Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox.saucy
+Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox.utopic
 Build-Depends: cdbs,
 	locales,
 	debhelper (>= 7),
@@ -25,10 +25,8 @@
 	libasound2-dev,
 	libcurl4-openssl-dev,
 	libdbus-glib-1-dev (>= 0.60),
-	libgstreamer0.10-dev,
-	libgstreamer-plugins-base0.10-dev,
-	libgstreamer1.0-dev,
-	libgstreamer-plugins-base1.0-dev,
+	libgstreamer1.0-dev | libgstreamer0.10-dev,
+	libgstreamer-plugins-base1.0-dev | libgstreamer-plugins-base0.10-dev,
 	hardening-wrapper,
 	lsb-release,
 	libiw-dev,
@@ -43,7 +41,7 @@
 	python (>= 2.7),
 	libffi-dev (>= 3.0.9) [arm64]
 Standards-Version: 3.9.1
-XS-Testsuite: autopkgtest
+#XS-Testsuite: autopkgtest
 
 Package: firefox
 Architecture: any
@@ -59,7 +57,7 @@
 	iceweasel,
 	gnome-www-browser,
 	${app:Provides}
-Suggests: ttf-lyx,
+Suggests: fonts-lyx,
 	${support:Suggests}
 Breaks: ${transitional:Breaks}
 Replaces: ${transitional:Replaces}
@@ -131,7 +129,7 @@
 Depends: ${shlibs:Depends},
 	${misc:Depends},
 	firefox (= ${binary:Version}),
-	firefox-locale-af (= ${binary:Version}), firefox-locale-an (= ${binary:Version}), firefox-locale-ar (= ${binary:Version}), firefox-locale-as (= ${binary:Version}), firefox-locale-ast (= ${binary:Version}), firefox-locale-be (= ${binary:Version}), firefox-locale-bg (= ${binary:Version}), firefox-locale-bn (= ${binary:Version}), firefox-locale-br (= ${binary:Version}), firefox-locale-bs (= ${binary:Version}), firefox-locale-ca (= ${binary:Version}), firefox-locale-cs (= ${binary:Version}), firefox-locale-csb (= ${binary:Version}), firefox-locale-cy (= ${binary:Version}), firefox-locale-da (= ${binary:Version}), firefox-locale-de (= ${binary:Version}), firefox-locale-el (= ${binary:Version}), firefox-locale-en (= ${binary:Version}), firefox-locale-eo (= ${binary:Version}), firefox-locale-es (= ${binary:Version}), firefox-locale-et (= ${binary:Version}), firefox-locale-eu (= ${binary:Version}), firefox-locale-fa (= ${binary:Version}), firefox-locale-fi (= ${binary:Version}), firefox-locale-fr (= ${binary:Version}), firefox-locale-fy (= ${binary:Version}), firefox-locale-ga (= ${binary:Version}), firefox-locale-gd (= ${binary:Version}), firefox-locale-gl (= ${binary:Version}), firefox-locale-gu (= ${binary:Version}), firefox-locale-he (= ${binary:Version}), firefox-locale-hi (= ${binary:Version}), firefox-locale-hr (= ${binary:Version}), firefox-locale-hu (= ${binary:Version}), firefox-locale-hy (= ${binary:Version}), firefox-locale-id (= ${binary:Version}), firefox-locale-is (= ${binary:Version}), firefox-locale-it (= ${binary:Version}), firefox-locale-ja (= ${binary:Version}), firefox-locale-ka (= ${binary:Version}), firefox-locale-kk (= ${binary:Version}), firefox-locale-km (= ${binary:Version}), firefox-locale-kn (= ${binary:Version}), firefox-locale-ko (= ${binary:Version}), firefox-locale-ku (= ${binary:Version}), firefox-locale-lg (= ${binary:Version}), firefox-locale-lt (= ${binary:Version}), firefox-locale-lv (= ${binary:Version}), firefox-locale-mai (= ${binary:Version}), firefox-locale-mk (= ${binary:Version}), firefox-locale-ml (= ${binary:Version}), firefox-locale-mn (= ${binary:Version}), firefox-locale-mr (= ${binary:Version}), firefox-locale-ms (= ${binary:Version}), firefox-locale-nb (= ${binary:Version}), firefox-locale-nl (= ${binary:Version}), firefox-locale-nn (= ${binary:Version}), firefox-locale-nso (= ${binary:Version}), firefox-locale-oc (= ${binary:Version}), firefox-locale-or (= ${binary:Version}), firefox-locale-pa (= ${binary:Version}), firefox-locale-pl (= ${binary:Version}), firefox-locale-pt (= ${binary:Version}), firefox-locale-ro (= ${binary:Version}), firefox-locale-ru (= ${binary:Version}), firefox-locale-si (= ${binary:Version}), firefox-locale-sk (= ${binary:Version}), firefox-locale-sl (= ${binary:Version}), firefox-locale-sq (= ${binary:Version}), firefox-locale-sr (= ${binary:Version}), firefox-locale-sv (= ${binary:Version}), firefox-locale-sw (= ${binary:Version}), firefox-locale-ta (= ${binary:Version}), firefox-locale-te (= ${binary:Version}), firefox-locale-th (= ${binary:Version}), firefox-locale-tr (= ${binary:Version}), firefox-locale-uk (= ${binary:Version}), firefox-locale-vi (= ${binary:Version}), firefox-locale-xh (= ${binary:Version}), firefox-locale-zh-hans (= ${binary:Version}), firefox-locale-zh-hant (= ${binary:Version}), firefox-locale-zu (= ${binary:Version}),
+	firefox-locale-af (= ${binary:Version}), firefox-locale-an (= ${binary:Version}), firefox-locale-ar (= ${binary:Version}), firefox-locale-as (= ${binary:Version}), firefox-locale-ast (= ${binary:Version}), firefox-locale-az (= ${binary:Version}), firefox-locale-be (= ${binary:Version}), firefox-locale-bg (= ${binary:Version}), firefox-locale-bn (= ${binary:Version}), firefox-locale-br (= ${binary:Version}), firefox-locale-bs (= ${binary:Version}), firefox-locale-ca (= ${binary:Version}), firefox-locale-cs (= ${binary:Version}), firefox-locale-csb (= ${binary:Version}), firefox-locale-cy (= ${binary:Version}), firefox-locale-da (= ${binary:Version}), firefox-locale-de (= ${binary:Version}), firefox-locale-el (= ${binary:Version}), firefox-locale-en (= ${binary:Version}), firefox-locale-eo (= ${binary:Version}), firefox-locale-es (= ${binary:Version}), firefox-locale-et (= ${binary:Version}), firefox-locale-eu (= ${binary:Version}), firefox-locale-fa (= ${binary:Version}), firefox-locale-fi (= ${binary:Version}), firefox-locale-fr (= ${binary:Version}), firefox-locale-fy (= ${binary:Version}), firefox-locale-ga (= ${binary:Version}), firefox-locale-gd (= ${binary:Version}), firefox-locale-gl (= ${binary:Version}), firefox-locale-gu (= ${binary:Version}), firefox-locale-he (= ${binary:Version}), firefox-locale-hi (= ${binary:Version}), firefox-locale-hr (= ${binary:Version}), firefox-locale-hsb (= ${binary:Version}), firefox-locale-hu (= ${binary:Version}), firefox-locale-hy (= ${binary:Version}), firefox-locale-id (= ${binary:Version}), firefox-locale-is (= ${binary:Version}), firefox-locale-it (= ${binary:Version}), firefox-locale-ja (= ${binary:Version}), firefox-locale-ka (= ${binary:Version}), firefox-locale-kk (= ${binary:Version}), firefox-locale-km (= ${binary:Version}), firefox-locale-kn (= ${binary:Version}), firefox-locale-ko (= ${binary:Version}), firefox-locale-ku (= ${binary:Version}), firefox-locale-lg (= ${binary:Version}), firefox-locale-lt (= ${binary:Version}), firefox-locale-lv (= ${binary:Version}), firefox-locale-mai (= ${binary:Version}), firefox-locale-mk (= ${binary:Version}), firefox-locale-ml (= ${binary:Version}), firefox-locale-mn (= ${binary:Version}), firefox-locale-mr (= ${binary:Version}), firefox-locale-ms (= ${binary:Version}), firefox-locale-nb (= ${binary:Version}), firefox-locale-nl (= ${binary:Version}), firefox-locale-nn (= ${binary:Version}), firefox-locale-nso (= ${binary:Version}), firefox-locale-oc (= ${binary:Version}), firefox-locale-or (= ${binary:Version}), firefox-locale-pa (= ${binary:Version}), firefox-locale-pl (= ${binary:Version}), firefox-locale-pt (= ${binary:Version}), firefox-locale-ro (= ${binary:Version}), firefox-locale-ru (= ${binary:Version}), firefox-locale-si (= ${binary:Version}), firefox-locale-sk (= ${binary:Version}), firefox-locale-sl (= ${binary:Version}), firefox-locale-sq (= ${binary:Version}), firefox-locale-sr (= ${binary:Version}), firefox-locale-sv (= ${binary:Version}), firefox-locale-sw (= ${binary:Version}), firefox-locale-ta (= ${binary:Version}), firefox-locale-te (= ${binary:Version}), firefox-locale-th (= ${binary:Version}), firefox-locale-tr (= ${binary:Version}), firefox-locale-uk (= ${binary:Version}), firefox-locale-vi (= ${binary:Version}), firefox-locale-xh (= ${binary:Version}), firefox-locale-zh-hans (= ${binary:Version}), firefox-locale-zh-hant (= ${binary:Version}), firefox-locale-zu (= ${binary:Version}),
 	python,
 	dbus-x11,
 	xvfb,
@@ -234,6 +232,16 @@
  This package contains Asturian translations and search plugins
  for Firefox
 
+Package: firefox-locale-az
+Architecture: any
+Depends: ${misc:Depends}
+Replaces: language-pack-az-base
+Conflicts: ${app:Conflicts}
+Provides: ${app:Provides}
+Description: Azerbaijani language pack for Firefox
+ This package contains Azerbaijani translations and search plugins
+ for Firefox
+
 Package: firefox-locale-be
 Architecture: any
 Depends: ${misc:Depends}
@@ -297,16 +305,3 @@
 Package: firefox-locale-cs
 Architecture: any
 Depends: ${misc:Depends}
-Replaces: language-pack-cs-base
-Conflicts: ${app:Conflicts}
-Provides: ${app:Provides}
-Description: Czech language pack for Firefox
- This package contains Czech translations and search plugins
- for Firefox
-
-Package: firefox-locale-csb
-Architecture: any
-Depends: ${misc:Depends}
-Replaces: language-pack-csb-base
-Conflicts: ${app:Conflicts}
-Provides: ${app:Provides}

=== debian/rules ===
#!/usr/bin/make -f

MOZ_PKG_BASENAME	:= firefox

include $(CURDIR)/debian/build/config.mk

MOZ_APP			:= browser
MOZ_VENDOR		:= Mozilla
MOZ_MOZDIR		:=

MOZ_APP_SUBDIR	:= browser

MOZ_BRANDING		:= $(CHANNEL)
ifneq (,$(filter release beta, $(MOZ_BRANDING)))
MOZ_BRANDING		:= official
endif
ifeq (1,$(MOZ_FORCE_UNOFFICIAL_BRANDING))
ifneq (,$(filter official aurora, $(MOZ_BRANDING)))
MOZ_BRANDING		:= unofficial
endif
endif
MOZ_BRANDING_DIR 	:= $(MOZ_APP)/branding/$(MOZ_BRANDING)
ifeq (official,$(BRANDING))
MOZ_BRANDING_OPTION	:= --enable-official-branding
else
MOZ_BRANDING_OPTION	:= --with-branding=$(MOZ_BRANDING_DIR)
endif

MOZ_PKGNAME_SUBST_FILES = \
	debian/usr.bin.$(MOZ_PKG_NAME) \
	debian/README.Debian \
	debian/$(MOZ_PKG_NAME)-locale.preinst \
	debian/$(MOZ_PKG_BASENAME).sh \
	debian/apport/blacklist \
	debian/apport/native-origins \
	debian/apport/source_$(MOZ_PKG_NAME).py \
	debian/testing/run_mochitest \
	debian/testing/run_reftest \
	$(NULL)

MOZ_APPNAME_SUBST_FILES = \
	debian/$(MOZ_APP_NAME).1 \
	$(NULL)

MOZ_PKGCONFIG_FILES = \
	debian/pkgconfig/mozilla-plugin.pc \
	$(NULL)

include $(CURDIR)/debian/build/rules.mk

MOZ_EXECUTABLES_$(MOZ_PKG_NAME)-testsuite =	$(MOZ_LIBDIR)/testing/run_mochitest \
						$(MOZ_LIBDIR)/testing/run_reftest \
						$(MOZ_LIBDIR)/testing/run_xpcshell_tests \
						$(MOZ_LIBDIR)/xpcshell \
						$(MOZ_LIBDIR)/testing/filter_results \
						$(NULL)

debian/usr.bin.firefox.in:
	if [ '$(DISTRIB_VERSION_MAJOR)$(DISTRIB_VERSION_MINOR)' -ge '1410' ]; then \
		cp $(CURDIR)/debian/usr.bin.firefox.apparmor.14.10 $(CURDIR)/debian/usr.bin.firefox.in ; \
	elif [ '$(DISTRIB_VERSION_MAJOR)$(DISTRIB_VERSION_MINOR)' -ge '1310' ]; then \
		cp $(CURDIR)/debian/usr.bin.firefox.apparmor.13.10 $(CURDIR)/debian/usr.bin.firefox.in ; \
	else \
		cp $(CURDIR)/debian/usr.bin.firefox.apparmor.12.04 $(CURDIR)/debian/usr.bin.firefox.in ; \
	fi

ifeq (firefox, $(MOZ_APP_NAME))
ifneq (,$(filter precise, $(DISTRIB_CODENAME)))
PLUGIN_BREAKS := flashplugin-installer (<= 11.1.102.63ubuntu1), adobe-flashplugin (<= 11.1.102.63-0precise1)
PLUGIN_CONFLICTS := gcu-plugin (<= 0.12.10-1ubuntu1)
endif
endif

WRITE_SUBSTVARS = $(shell echo "$(2)=$(3)" | sed 's/[ \t\n]\+/ /g' >> debian/$(1).substvars)

ifeq (firefox, $(MOZ_PKG_NAME))
ifeq (,$(filter precise, $(DISTRIB_CODENAME)))
install/firefox::
	$(call WRITE_SUBSTVARS,firefox,transitional:Replaces,kubuntu-firefox-installer)
else
FIREFOX_REPLACES = abrowser, abrowser-branding, firefox-branding, kubuntu-firefox-installer
FIREFOX_BREAKS = abrowser (<= 4.0~b11+build3+nobinonly-0ubuntu1), abrowser-branding (<= 4.0~b11+build3+nobinonly-0ubuntu1), \
		 firefox-branding (<= 4.0~b11+build3+nobinonly-0ubuntu1), $(PLUGIN_BREAKS)
install/firefox::
	$(call WRITE_SUBSTVARS,firefox,transitional:Replaces,$(FIREFOX_REPLACES))
	$(call WRITE_SUBSTVARS,firefox,transitional:Breaks,$(FIREFOX_BREAKS))
	$(call WRITE_SUBSTVARS,firefox,transitional:Conflicts,$(PLUGIN_CONFLICTS))
endif
endif

$(patsubst %,binary-post-install/%,$(MOZ_LOCALE_PKGS)) :: binary-post-install/%:
	$(foreach xpi,$($(notdir $(wildcard debian/$*/$(MOZ_ADDONDIR)/extensions/*.xpi))), \
		dh_link -p$* $(MOZ_ADDONDIR)/extensions/$(xpi) $(MOZ_LIBDIR)/webapprt/extensions/$(xpi);)

make-langpack-preinsts:: $(foreach langpack,$(MOZ_LOCALE_PKGS),debian/$(langpack).preinst)
$(patsubst %,debian/%.preinst,$(MOZ_LOCALE_PKGS)) :: debian/%.preinst : debian/$(MOZ_PKG_NAME)-locale.preinst
	cp $< $@

pre-build:: make-langpack-preinsts

monkey-patch-upstream-files::
ifneq ($(MOZ_APP_BASENAME),$(MOZ_DEFAULT_APP_BASENAME))
	@echo "Setting MOZ_APP_UA_NAME to $(MOZ_DEFAULT_APP_BASENAME)"
	$(call moz_monkey_patch_file,$(DEB_SRCDIR)/$(MOZ_BRANDING_DIR)/configure.sh, \
		echo "MOZ_APP_UA_NAME=$(MOZ_DEFAULT_APP_BASENAME)" >>)

	@echo "Setting UAName to $(MOZ_DEFAULT_APP_BASENAME)"
	$(call moz_monkey_patch_file,$(DEB_SRCDIR)/webapprt/application.ini.in, \
		sed -ri 's/@MOZ_APP_BASENAME@/$(MOZ_DEFAULT_APP_BASENAME)/g')
endif

clean::
	rm -f debian/$(MOZ_PKG_NAME)-locale-*.preinst
	rm -f debian/usr.bin.firefox.in

.PHONY: make-langpack-preinsts

## firefox 37.0+build2

=== testing/marionette/client/requirements.txt ===
marionette-transport == 0.4
manifestparser
mozhttpd >= 0.5
mozinfo >= 0.7
mozprocess >= 0.9
mozrunner >= 6.2
mozdevice >= 0.44
mozlog >= 2.7
moznetwork >= 0.21
mozcrash >= 0.5
mozprofile >= 0.7
moztest >= 0.7
mozversion >= 1.1

## firefox 39.0+build5

=== debian/changelog ===
firefox (39.0+build5-0ubuntu0.14.10.1) utopic-security; urgency=medium

  * New upstream stable release (FIREFOX_39_0_BUILD5)
    - see USN-2656-1

  * Refresh patches
    - update debian/patches/unity-menubar.patch
    - update debian/patches/ubuntu-ua-string-changes.patch
  * Bundle our checkout of compare-locales in a different location, given
    that the Mozilla repo now contains a different version of it in the
    location we used previously
    - update debian/build/rules.mk
    - update debian/build/create-tarball.py

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 29 Jun 2015 11:49:15 +0100

firefox (38.0+build3-0ubuntu0.14.10.1) utopic-security; urgency=medium

  * New upstream stable release (FIREFOX_38_0_BUILD3)
    - see USN-2602-1

  * Refresh patches
    - update debian/patches/ubuntu-bookmarks.patch
    - update debian/patches/unity-menubar.patch
  * Drop patches fixed upstream
    - remove debian/patches/add-non-skia-fallback.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 06 May 2015 14:53:34 +0100

firefox (37.0.2+build1-0ubuntu0.14.10.1) utopic-security; urgency=medium

  * New upstream stable release (FIREFOX_37_0_2_BUILD1)
    - see USN-2571-1

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 17 Apr 2015 17:37:24 +0100

firefox (37.0.1+build1-0ubuntu0.14.10.1) utopic-security; urgency=medium

  * New upstream stable release (FIREFOX_37_0_1_BUILD1)
    - see USN-2557-1

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 03 Apr 2015 14:39:52 +0100

firefox (37.0+build2-0ubuntu0.14.10.1) utopic-security; urgency=medium

  * New upstream stable release (FIREFOX_37_0_BUILD2)
    - see USN-2550-1

  * Refresh patches
    - update debian/patches/unity-menubar.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Sat, 28 Mar 2015 21:47:06 +0000

firefox (36.0.4+build1-0ubuntu0.14.10.1) utopic-security; urgency=medium

  * New upstream stable release (FIREFOX_36_0_4_BUILD1)
    - see USN-2538-1

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 20 Mar 2015 12:27:36 +0000

firefox (36.0.1+build2-0ubuntu0.14.10.1) utopic-security; urgency=medium

  * New upstream stable release (FIREFOX_36_0_1_BUILD2)
    - see LP: #1429115
    - revert removal of the deprecated -remote command line option, as some
      older software (eg, Python 2.7's webbrowser module) still depends on it
      (LP: #1425972)

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 06 Mar 2015 12:43:36 +0000

firefox (36.0+build2-0ubuntu0.14.10.4) utopic-security; urgency=medium

  * New upstream stable release (FIREFOX_36_0_BUILD2)
    - see USN-2505-1

  * Refresh patches
    - update debian/patches/unity-menubar.patch
    - update debian/patches/ubuntu-ua-string-changes.patch
    - update debian/patches/dont-include-hyphenation-patterns.patch
    - update debian/patches/dont-override-general-useragent-locale.patch
  * Don't clone the nightly profile from the default profile at startup
    - update debian/firefox.sh.in
  * Don't use --with-app-basename to create the co-installable nightly build
    as it's not useful anymore, and changing the application name to
    "Firefox-Trunk" has always been problematic for code / addons that check
    the appname. Continue to use --with-app-name as before (which just changes
    the install name and the remoting name), and add a patch to introduce
    --with-app-profile, which allows us to change the profile location
    - update debian/build/rules.mk
    - update debian/build/config.mk
    - update debian/config/mozconfig.in
    - update debian/rules
    - add debian/patches/support-coinstallable-trunk-build.patch
    - add debian/patches/set-prgname-to-remoting-name.patch
    - update debian/patches/series
  * Install the gmp-clearkey directory
  * Add Google OAuth ID so contact import for Hello works (LP: #1401402)
  * Add Uzbek language pack
  * Add patch from Bugzilla to implement non-Skia fallback for unaccelerated
    rendering of 3D transforms to fix a build failure on platforms where Skia
    is not supported
    - add debian/patches/add-non-skia-fallback.patch
    - update debian/patches/series
  * Backport patch to fix a build failure in IonMonkey on platforms without
    a codegen
    - add debian/patches/fix-ion-ftbfs.patch
    - update debian/patches/series
  * Backport patch to fix a build failure in some unified builds
    - add debian/patches/fix-unified-ftbfs.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 23 Feb 2015 13:59:59 +0000

firefox (35.0.1+build1-0ubuntu0.14.10.1) utopic-security; urgency=medium

  * New upstream stable release (FIREFOX_35_0_1_BUILD1)
    - see USN-2458-3

 -- Chris Coulson <chris.coulson@canonical.com>  Sun, 25 Jan 2015 21:57:40 +0000

firefox (35.0+build3-0ubuntu0.14.10.2) utopic-security; urgency=medium

  * New upstream stable release (FIREFOX_35_0_BUILD3)
    - see USN-2458-1

  * Refresh patches
    - update debian/patches/unity-menubar.patch
  * Disable all of the testsuite related patches and don't install anything
    in to the testsuite package for now. The patches have all bit-rotted,
    we're not running any tests and nobody is driving that anymore
  * Don't do unified builds unconditionally on i386, as they don't crash
    anymore
  * Disable Kashubian language pack
  * Add debian/patches/ubuntu-search-defaults.patch to set the default
    search engines. This is a temporary patch (these defaults will eventually
    go in to distribution.ini). Fixes LP: #1398174
  * Don't hardcode -mfloat-abi=softfp in libvpx
    - add debian/patches/dont-hardcode-softfp-on-armhf.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 09 Jan 2015 21:25:56 +0000

firefox (34.0+build2-0ubuntu0.14.10.2) utopic-security; urgency=medium

  * New upstream stable release (FIREFOX_34_0_BUILD2)
    - see USN-2424-1

  [ Chris Coulson <chris.coulson@canonical.com> ]


=== debian/control ===
--- 
+++ 
@@ -129,7 +129,7 @@
 Depends: ${shlibs:Depends},
 	${misc:Depends},
 	firefox (= ${binary:Version}),
-	firefox-locale-af (= ${binary:Version}), firefox-locale-an (= ${binary:Version}), firefox-locale-ar (= ${binary:Version}), firefox-locale-as (= ${binary:Version}), firefox-locale-ast (= ${binary:Version}), firefox-locale-az (= ${binary:Version}), firefox-locale-be (= ${binary:Version}), firefox-locale-bg (= ${binary:Version}), firefox-locale-bn (= ${binary:Version}), firefox-locale-br (= ${binary:Version}), firefox-locale-bs (= ${binary:Version}), firefox-locale-ca (= ${binary:Version}), firefox-locale-cs (= ${binary:Version}), firefox-locale-csb (= ${binary:Version}), firefox-locale-cy (= ${binary:Version}), firefox-locale-da (= ${binary:Version}), firefox-locale-de (= ${binary:Version}), firefox-locale-el (= ${binary:Version}), firefox-locale-en (= ${binary:Version}), firefox-locale-eo (= ${binary:Version}), firefox-locale-es (= ${binary:Version}), firefox-locale-et (= ${binary:Version}), firefox-locale-eu (= ${binary:Version}), firefox-locale-fa (= ${binary:Version}), firefox-locale-fi (= ${binary:Version}), firefox-locale-fr (= ${binary:Version}), firefox-locale-fy (= ${binary:Version}), firefox-locale-ga (= ${binary:Version}), firefox-locale-gd (= ${binary:Version}), firefox-locale-gl (= ${binary:Version}), firefox-locale-gu (= ${binary:Version}), firefox-locale-he (= ${binary:Version}), firefox-locale-hi (= ${binary:Version}), firefox-locale-hr (= ${binary:Version}), firefox-locale-hsb (= ${binary:Version}), firefox-locale-hu (= ${binary:Version}), firefox-locale-hy (= ${binary:Version}), firefox-locale-id (= ${binary:Version}), firefox-locale-is (= ${binary:Version}), firefox-locale-it (= ${binary:Version}), firefox-locale-ja (= ${binary:Version}), firefox-locale-ka (= ${binary:Version}), firefox-locale-kk (= ${binary:Version}), firefox-locale-km (= ${binary:Version}), firefox-locale-kn (= ${binary:Version}), firefox-locale-ko (= ${binary:Version}), firefox-locale-ku (= ${binary:Version}), firefox-locale-lg (= ${binary:Version}), firefox-locale-lt (= ${binary:Version}), firefox-locale-lv (= ${binary:Version}), firefox-locale-mai (= ${binary:Version}), firefox-locale-mk (= ${binary:Version}), firefox-locale-ml (= ${binary:Version}), firefox-locale-mn (= ${binary:Version}), firefox-locale-mr (= ${binary:Version}), firefox-locale-ms (= ${binary:Version}), firefox-locale-nb (= ${binary:Version}), firefox-locale-nl (= ${binary:Version}), firefox-locale-nn (= ${binary:Version}), firefox-locale-nso (= ${binary:Version}), firefox-locale-oc (= ${binary:Version}), firefox-locale-or (= ${binary:Version}), firefox-locale-pa (= ${binary:Version}), firefox-locale-pl (= ${binary:Version}), firefox-locale-pt (= ${binary:Version}), firefox-locale-ro (= ${binary:Version}), firefox-locale-ru (= ${binary:Version}), firefox-locale-si (= ${binary:Version}), firefox-locale-sk (= ${binary:Version}), firefox-locale-sl (= ${binary:Version}), firefox-locale-sq (= ${binary:Version}), firefox-locale-sr (= ${binary:Version}), firefox-locale-sv (= ${binary:Version}), firefox-locale-sw (= ${binary:Version}), firefox-locale-ta (= ${binary:Version}), firefox-locale-te (= ${binary:Version}), firefox-locale-th (= ${binary:Version}), firefox-locale-tr (= ${binary:Version}), firefox-locale-uk (= ${binary:Version}), firefox-locale-vi (= ${binary:Version}), firefox-locale-xh (= ${binary:Version}), firefox-locale-zh-hans (= ${binary:Version}), firefox-locale-zh-hant (= ${binary:Version}), firefox-locale-zu (= ${binary:Version}),
+	firefox-locale-af (= ${binary:Version}), firefox-locale-an (= ${binary:Version}), firefox-locale-ar (= ${binary:Version}), firefox-locale-as (= ${binary:Version}), firefox-locale-ast (= ${binary:Version}), firefox-locale-az (= ${binary:Version}), firefox-locale-be (= ${binary:Version}), firefox-locale-bg (= ${binary:Version}), firefox-locale-bn (= ${binary:Version}), firefox-locale-br (= ${binary:Version}), firefox-locale-bs (= ${binary:Version}), firefox-locale-ca (= ${binary:Version}), firefox-locale-cs (= ${binary:Version}), firefox-locale-csb (= ${binary:Version}), firefox-locale-cy (= ${binary:Version}), firefox-locale-da (= ${binary:Version}), firefox-locale-de (= ${binary:Version}), firefox-locale-el (= ${binary:Version}), firefox-locale-en (= ${binary:Version}), firefox-locale-eo (= ${binary:Version}), firefox-locale-es (= ${binary:Version}), firefox-locale-et (= ${binary:Version}), firefox-locale-eu (= ${binary:Version}), firefox-locale-fa (= ${binary:Version}), firefox-locale-fi (= ${binary:Version}), firefox-locale-fr (= ${binary:Version}), firefox-locale-fy (= ${binary:Version}), firefox-locale-ga (= ${binary:Version}), firefox-locale-gd (= ${binary:Version}), firefox-locale-gl (= ${binary:Version}), firefox-locale-gu (= ${binary:Version}), firefox-locale-he (= ${binary:Version}), firefox-locale-hi (= ${binary:Version}), firefox-locale-hr (= ${binary:Version}), firefox-locale-hsb (= ${binary:Version}), firefox-locale-hu (= ${binary:Version}), firefox-locale-hy (= ${binary:Version}), firefox-locale-id (= ${binary:Version}), firefox-locale-is (= ${binary:Version}), firefox-locale-it (= ${binary:Version}), firefox-locale-ja (= ${binary:Version}), firefox-locale-ka (= ${binary:Version}), firefox-locale-kk (= ${binary:Version}), firefox-locale-km (= ${binary:Version}), firefox-locale-kn (= ${binary:Version}), firefox-locale-ko (= ${binary:Version}), firefox-locale-ku (= ${binary:Version}), firefox-locale-lg (= ${binary:Version}), firefox-locale-lt (= ${binary:Version}), firefox-locale-lv (= ${binary:Version}), firefox-locale-mai (= ${binary:Version}), firefox-locale-mk (= ${binary:Version}), firefox-locale-ml (= ${binary:Version}), firefox-locale-mn (= ${binary:Version}), firefox-locale-mr (= ${binary:Version}), firefox-locale-ms (= ${binary:Version}), firefox-locale-nb (= ${binary:Version}), firefox-locale-nl (= ${binary:Version}), firefox-locale-nn (= ${binary:Version}), firefox-locale-nso (= ${binary:Version}), firefox-locale-oc (= ${binary:Version}), firefox-locale-or (= ${binary:Version}), firefox-locale-pa (= ${binary:Version}), firefox-locale-pl (= ${binary:Version}), firefox-locale-pt (= ${binary:Version}), firefox-locale-ro (= ${binary:Version}), firefox-locale-ru (= ${binary:Version}), firefox-locale-si (= ${binary:Version}), firefox-locale-sk (= ${binary:Version}), firefox-locale-sl (= ${binary:Version}), firefox-locale-sq (= ${binary:Version}), firefox-locale-sr (= ${binary:Version}), firefox-locale-sv (= ${binary:Version}), firefox-locale-sw (= ${binary:Version}), firefox-locale-ta (= ${binary:Version}), firefox-locale-te (= ${binary:Version}), firefox-locale-th (= ${binary:Version}), firefox-locale-tr (= ${binary:Version}), firefox-locale-uk (= ${binary:Version}), firefox-locale-uz (= ${binary:Version}), firefox-locale-vi (= ${binary:Version}), firefox-locale-xh (= ${binary:Version}), firefox-locale-zh-hans (= ${binary:Version}), firefox-locale-zh-hant (= ${binary:Version}), firefox-locale-zu (= ${binary:Version}),
 	python,
 	dbus-x11,
 	xvfb,
@@ -303,5 +303,3 @@
  for Firefox
 
 Package: firefox-locale-cs
-Architecture: any
-Depends: ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -48,7 +48,7 @@
 
 include $(CURDIR)/debian/build/rules.mk
 
-MOZ_EXECUTABLES_$(MOZ_PKG_NAME)-testsuite =	$(MOZ_LIBDIR)/testing/run_mochitest \
+#MOZ_EXECUTABLES_$(MOZ_PKG_NAME)-testsuite =	$(MOZ_LIBDIR)/testing/run_mochitest \
 						$(MOZ_LIBDIR)/testing/run_reftest \
 						$(MOZ_LIBDIR)/testing/run_xpcshell_tests \
 						$(MOZ_LIBDIR)/xpcshell \
@@ -88,9 +88,15 @@
 endif
 endif
 
-$(patsubst %,binary-post-install/%,$(MOZ_LOCALE_PKGS)) :: binary-post-install/%:
-	$(foreach xpi,$($(notdir $(wildcard debian/$*/$(MOZ_ADDONDIR)/extensions/*.xpi))), \
-		dh_link -p$* $(MOZ_ADDONDIR)/extensions/$(xpi) $(MOZ_LIBDIR)/webapprt/extensions/$(xpi);)
+binary-post-install/$(MOZ_PKG_NAME)::
+	rm -f debian/$(MOZ_PKG_NAME)/$(MOZ_LIBDIR)/distribution/searchplugins/locale/en-US/ddg.xml
+
+$(patsubst %,binary-post-install/%,$(MOZ_LOCALE_PKGS)):: binary-post-install/%: install-webapprt-langpack-links-%
+	rm -f debian/$*/$(MOZ_LIBDIR)/distribution/searchplugins/locale/*/ddg.xml
+
+install-webapprt-langpack-links-%: XPIS = $(notdir $(wildcard debian/$*/$(MOZ_ADDONDIR)/extensions/*.xpi))
+install-webapprt-langpack-links-%:
+	$(foreach xpi,$(XPIS),dh_link -p$* $(MOZ_ADDONDIR)/extensions/$(xpi) $(MOZ_LIBDIR)/webapprt/extensions/$(xpi);)
 
 make-langpack-preinsts:: $(foreach langpack,$(MOZ_LOCALE_PKGS),debian/$(langpack).preinst)
 $(patsubst %,debian/%.preinst,$(MOZ_LOCALE_PKGS)) :: debian/%.preinst : debian/$(MOZ_PKG_NAME)-locale.preinst
@@ -98,17 +104,6 @@
 
 pre-build:: make-langpack-preinsts
 
-monkey-patch-upstream-files::
-ifneq ($(MOZ_APP_BASENAME),$(MOZ_DEFAULT_APP_BASENAME))
-	@echo "Setting MOZ_APP_UA_NAME to $(MOZ_DEFAULT_APP_BASENAME)"
-	$(call moz_monkey_patch_file,$(DEB_SRCDIR)/$(MOZ_BRANDING_DIR)/configure.sh, \
-		echo "MOZ_APP_UA_NAME=$(MOZ_DEFAULT_APP_BASENAME)" >>)
-
-	@echo "Setting UAName to $(MOZ_DEFAULT_APP_BASENAME)"
-	$(call moz_monkey_patch_file,$(DEB_SRCDIR)/webapprt/application.ini.in, \
-		sed -ri 's/@MOZ_APP_BASENAME@/$(MOZ_DEFAULT_APP_BASENAME)/g')
-endif
-
 clean::
 	rm -f debian/$(MOZ_PKG_NAME)-locale-*.preinst
 	rm -f debian/usr.bin.firefox.in

## firefox 41.0.2+build2

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: web
 Priority: optional
 Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
-Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox.utopic
+Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox.wily
 Build-Depends: cdbs,
 	locales,
 	debhelper (>= 7),
